Net::Packet::DescL3(3)

NAME
Net::Packet::DescL3 - object for a network layer (layer 3) descriptor

SYNOPSIS
   require Net::Packet::DescL3;

   # Usually, you use it to send IPv4 frames
   my $d3 = Net::Packet::DescL3->new(
      dev    => 'eth0',
      target => '192.168.0.1',
   );

   $d3->send($rawStringToNetwork);

DESCRIPTION
See also Net::Packet::Desc for other attributes and methods.

ATTRIBUTES

target
    IPv4 address of the target host. You must set it to be able to send frames.

METHODS

new Create the object, using default $Env object values for dev, ip, ip6 and mac (see Net::Packet::Env). When the object is created, the $Env global object has its desc attributes set to it. You can avoid this behaviour by setting noDescAutoSet in $Env object (see Net::Packet::Env).

    Default values for attributes:

    dev: $Env->dev

    ip: $Env->ip

    ip6: $Env->ip6

    mac: $Env->mac

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock